import withRedux from 'next-redux-wrapper';
import withLayout from '../hoc/layout';

// Store
import initStore from '../src/store';

// Components
import { MDCHeadline, MDCTitle } from '@specialcircumstances/pkg-mdc';

import Main from '../src/components/main';

const IndexPage = () => {
  return (
    <Main>
      <MDCHeadline>Poke It With a Stick</MDCHeadline>
      <MDCTitle>
        <em>Bringing you content since 2006, in one form or another</em>
      </MDCTitle>
    </Main>
  );
};

export default withRedux(initStore)(withLayout(IndexPage));
