import { MDCButton } from '@specialcircumstances/pkg-mdc';

const Toolbar = ({ toolbar = {} }) => {
  const { top = 0, visible } = toolbar;

  if (!visible) {
    return null;
  }
  // const offset = top - 60 >

  return (
    <nav className="sc-toolbar">
      <MDCButton ripple unelevated>
        Test
      </MDCButton>
      <MDCButton ripple>Test</MDCButton>

      <style jsx>{`
        .sc-toolbar {
          position: fixed;
          left: 0;
          width: 100%;
          padding: 10px;
          box-sizing: border-box;
          background-color: lime;
          top: ${top - 60}px;
        }
      `}</style>
    </nav>
  );
};

export default Toolbar;
