const IconButton = props => {
  const { children, ...attr } = props;
  return (
    <button className="evt-menu__action" {...attr}>
      <i className="material-icons">{children}</i>
      <style jsx>{`
        .evt-menu__action {
          border: none;
          outline: none;
          cursor: pointer;
        }
        .evt-menu__action:active {
          color: var(--mdc-theme-secondary);
        }
      `}</style>
    </button>
  );
};

export default IconButton;
