import { MDCDisplayText } from '@specialcircumstances/pkg-mdc';

const TitleNode = ({ attributes, children, isSelected }) => (
  <MDCDisplayText className="parent" active={isSelected} {...attributes}>
    {children}
    <style jsx global>{`
      .parent {
        position: relative;
      }
    `}</style>
  </MDCDisplayText>
);

export default TitleNode;
