import { MDCHeadline } from '@specialcircumstances/pkg-mdc';

const HeadlineNode = ({ attributes, children, isSelected }) => (
  <MDCHeadline className="parent" active={isSelected} {...attributes}>
    {children}
    <style jsx global>{`
      .parent {
        position: relative;
      }
    `}</style>
  </MDCHeadline>
);

export default HeadlineNode;
