import { MDCBodyText } from '@specialcircumstances/pkg-mdc';

const ParagraphNode = ({ attributes, children, isSelected }) => (
  <MDCBodyText className="parent" active={isSelected} {...attributes}>
    {children}
    <style jsx global>{`
      .parent {
        position: relative;
      }
    `}</style>
  </MDCBodyText>
);

export default ParagraphNode;
