import { combineReducers } from 'redux-immutable';

import { createActualReducer } from '@specialcircumstances/pkg-actual';
import { createEntitiesReducer } from '@specialcircumstances/pkg-entities';
import { createUIReducer } from '@specialcircumstances/pkg-ui';
import { createEditorReducer } from '@specialcircumstances/pkg-editor';

// Actual
const actual = createActualReducer({
  story: {},
  stories: {}
});

// Entities Store
const entities = createEntitiesReducer({
  stories: {}
});

// UI
const ui = createUIReducer({
  drawer: {},
  menu: {},
  toolbar: {}
});

const editor = createEditorReducer();

export default combineReducers({ actual, editor, entities, ui });
