import { layout } from '../config/styles';

const { block } = layout;

const Timestamp = ({ datetime }) => {
  return (
    <p className="evt-timestamp">
      Last Updated: {datetime}
      <style jsx>{`
        .evt-timestamp {
          margin-top: ${block}px;
          font-size: 0.8125rem;
          color: hsla(0, 0%, 0%, 0.3);
        }
      `}</style>
    </p>
  );
};

export default Timestamp;
