export const insertImage = (change, { id, name, type, size }) => {
  const { key } = change.value.anchorBlock;
  console.log('id', id);

  change
    .collapseToStart()
    .insertBlock({
      type: 'image',
      isVoid: true,
      data: { id, name, type, size }
    })
    .removeNodeByKey(key);
};

export const insertGallery = change => {
  const { key } = change.value.anchorBlock;

  change
    .collapseToStart()
    .removeNodeByKey(key)
    .insertBlock({
      type: 'gallery',
      isVoid: true
    });
};
