const TextButton = props => {
  const { children, ...attr } = props;
  return (
    <button className="evt-menu__action" {...attr}>
      {children}
      <style jsx>{`
        .evt-menu__action {
          border: none;
          outline: none;
          cursor: pointer;
          font-size: 18px;
          position: relative;
          bottom: 4px;
        }
        .evt-menu__action:active {
          color: var(--mdc-theme-secondary);
        }
      `}</style>
    </button>
  );
};

export default TextButton;
