const CaptionNode = ({ children }) => {
  return (
    <figcaption className="evt-image__caption">
      {children}
      <style jsx>{`
        .evt-image__caption {
          font-size: 0.8125rem;
          margin: 8px 0;
          white-space: nowrap;
          color: hsla(0, 0%, 0%, 0.8);
        }
      `}</style>
    </figcaption>
  );
};

export default CaptionNode;
